      program read_data
      integer im,jm
      parameter(im=2881,jm=1439)
      real dis(1:im,1:jm)
!      open(1,file="ITfricPD_M2_inverse_lat2.txt")
!      open(1,file="ITfricPD_S2_inverse_lat2.txt")
!      open(1,file="ITfricPD_K1_inverse_lat2.txt")
!      open(1,file="ITfricPD_O1_inverse_lat2.txt")
!
!      open(1,file="ITfricLGM_M2_inverse_lat2.txt")
!      open(1,file="ITfricLGM_S2_inverse_lat2.txt")
!      open(1,file="ITfricLGM_K1_inverse_lat2.txt")
      open(1,file="ITfricLGM_O1_inverse_lat2.txt")
      do j=1,jm
         read(1,"(2881(2x,E14.7))") dis(:,j)
      enddo
      close(1)
!      open(2,file="ITfricPD_M22.txt")
!      open(2,file="ITfricPD_S22.txt")
!      open(2,file="ITfricPD_K12.txt")
!      open(2,file="ITfricPD_O12.txt")
!
!      open(2,file="ITfricLGM_M22.txt")
!      open(2,file="ITfricLGM_S22.txt")
!      open(2,file="ITfricLGM_K12.txt")
      open(2,file="ITfricLGM_O12.txt")
      do j=jm,1,-1
         write(2,"(2881(2x,E14.7))") dis(:,j)
      enddo
      close(2)
      end

